package com.bocloud.nms.model.agile;

/**
 * 资源池段
 */
public class AgileResourcePoolSegmentsModel {
    private String resourcePoolType; // 资源池类型，Vlan Vtep Mgmt Inter BgpPeer
    private String resourcePoolUuid; //华为SDN资源池唯一标识
    private String startIp; // 华为SDN资源池起始IP地址
    private String endIp; // 华为SDN资源池终止IP地址
    private String mask; // 华为SDN资源池IP地址掩码
    private String ipVersion; // 华为SDN资源池IP地址类型, Ipv4 Ipv6

    public String getResourcePoolType() {
        return resourcePoolType;
    }

    public void setResourcePoolType(String resourcePoolType) {
        this.resourcePoolType = resourcePoolType;
    }

    public String getResourcePoolUuid() {
        return resourcePoolUuid;
    }

    public void setResourcePoolUuid(String resourcePoolUuid) {
        this.resourcePoolUuid = resourcePoolUuid;
    }

    public String getStartIp() {
        return startIp;
    }

    public void setStartIp(String startIp) {
        this.startIp = startIp;
    }

    public String getEndIp() {
        return endIp;
    }

    public void setEndIp(String endIp) {
        this.endIp = endIp;
    }

    public String getMask() {
        return mask;
    }

    public void setMask(String mask) {
        this.mask = mask;
    }

    public String getIpVersion() {
        return ipVersion;
    }

    public void setIpVersion(String ipVersion) {
        this.ipVersion = ipVersion;
    }
}
